@import url("https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
button:focus {
  outline: 0;
}

html,
body {
  height: 100%;
  font-family: "Press Start 2P", cursive;
  color: white;
}
body {
  animation: degrade 30s ease alternate infinite;
  animation-delay: 2s;
  height: 100vh;
  width: 100vw;
  background: linear-gradient(-45deg, #28d693, #35add1, #e73c7e, #ee7752)
    no-repeat;
  background-size: 300% 300%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}
@keyframes degrade {
  from {
    background-position: 0 1%;
  }
  to {
    background-position: 100% 100%;
  }
}
canvas {
  background-color: black;
  opacity: 0.7;
}
.container {
  display: flex;
  width: 100%;
  height: 100%;
  flex-flow: column wrap;
  justify-content: center;
  align-items: center;
}
#ui {
  display: flex;
  align-items: center;
  font-size: 10px;
  flex-flow: column;
}

#score {
  font-size: 25px;
  font-weight: 800;
}
.noselect {
  user-select: none;
}
#replay {
  font-size: 20px;
  padding: 10px 20px;
  background: white;
  border: none;
  color: black;
  border-radius: 20px;
  font-weight: 800;
  cursor: pointer;
  transition: all 200ms cubic-bezier(0.4, 0, 0.2, 1);
  font-family: "Press Start 2P", cursive;
}
#replay:hover {
  background: #4cffd7;
  transition: all 200ms cubic-bezier(0.4, 0, 0.2, 1);
  transform: scale(1.2);
}
#replay svg {
  margin-right: 8px;
}
@media (max-width: 600px) {
  #replay {
    margin-bottom: 20px;
  }
  #replay,
  h2 {
    transform: rotate(0deg);
  }
  #ui {
    flex-flow: row wrap;
    margin-bottom: 20px;
  }
  #score {
    margin-top: 0;
    margin-left: 20px;
  }
  .container {
    flex-flow: column wrap;
  }
}
h1 {
  font-size: 25px;
  margin-bottom: 20px;
}
.wrapper {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
}
.menu {
  position: absolute;
  top: 10px;
  margin-left: 10px;
}
.zoom {
  overflow: hidden;
}
.zoom img {
  max-width: 100%;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
}
.zoom:hover img {
  -moz-transform: scale(1.1);
  transform: scale(1.1);
}
